#pragma once

#include "CoreMinimal.h"
#include "Mutator.h"
#include "OverrideGeneratorMaxChargeMutator.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UOverrideGeneratorMaxChargeMutator : public UMutator
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _secondsToCharge;

protected:
	UFUNCTION(BlueprintCallable)
	void OnLevelReadyToPlay();

public:
	UOverrideGeneratorMaxChargeMutator();
};

FORCEINLINE uint32 GetTypeHash(const UOverrideGeneratorMaxChargeMutator) { return 0; }
